## mupen64plus-audio-sdl 1.99.5

=== projects/unix/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus-audio-sdl - Makefile                                      *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2009 Richard Goedeken                              *
# *   Copyright (C) 2007-2008 Tillin9                                       *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for SDL Audio plugin in Mupen64plus

# detect operation system
UNAME = $(shell uname -s)
OS := NONE
ifeq ("$(UNAME)","Linux")
  OS = LINUX
  SHARED = -shared
  SO_EXTENSION = so
endif
ifeq ("$(UNAME)","linux")
  OS = LINUX
  SHARED = -shared
  SO_EXTENSION = so
endif
ifneq ("$(filter GNU hurd,$(UNAME))","")
  OS = LINUX
  SHARED = -shared
  SO_EXTENSION = so
endif
ifeq ("$(UNAME)","Darwin")
  OS = OSX
  SHARED = -bundle
  SO_EXTENSION = dylib
endif
ifeq ("$(UNAME)","FreeBSD")
  OS = FREEBSD
  SHARED = -shared
  SO_EXTENSION = so
endif
ifeq ("$(UNAME)","OpenBSD")
  OS = FREEBSD
  SHARED = -shared
  SO_EXTENSION = so
  $(warning OS type "$(UNAME)" not officially supported.')
endif
ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
  OS = LINUX
  SHARED = -shared
  SO_EXTENSION = so
endif
ifeq ("$(OS)","NONE")
  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# detect system architecture
HOST_CPU ?= $(shell uname -m)
NO_ASM ?= 1
CPU := NONE
ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
  CPU := X86
  ifeq ("$(BITS)", "32")
    ARCH_DETECTED := 64BITS_32
    PIC ?= 0
  else
    ARCH_DETECTED := 64BITS
    PIC ?= 1
  endif
endif
ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
  CPU := X86
  ARCH_DETECTED := 32BITS
  PIC ?= 0
endif
ifneq ("$(filter ppc powerpc,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 32BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 64BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifeq ("$(CPU)","NONE")
  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# base CFLAGS, LDLIBS, and LDFLAGS
OPTFLAGS ?= -O3
CFLAGS += $(OPTFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src
LDFLAGS += $(SHARED)

# Since we are building a shared library, we must compile with -fPIC on some architectures
# On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
ifeq ($(PIC), 1)
  CFLAGS += -fPIC
  LDFLAGS += -fPIC
else
  CFLAGS += -fno-PIC
  LDFLAGS += -fno-PIC
endif

ifeq ($(BIG_ENDIAN), 1)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# tweak flags for 32-bit build on 64-bit system
ifeq ($(ARCH_DETECTED), 64BITS_32)
  ifeq ($(OS), FREEBSD)
    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
  endif
  CFLAGS += -m32
  LDFLAGS += -m32 -Wl,-m,elf_i386
endif

# set special flags per-system
ifeq ($(OS), LINUX)
  LDLIBS += -ldl
endif
ifeq ($(OS), OSX)
  ifeq ($(CPU), X86)
    ifeq ($(ARCH_DETECTED), 64BITS)
      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk
      LDFLAGS += -arch x86_64
      LDLIBS += -ldl
    else
      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk
      LDFLAGS += -arch i686
      LDLIBS += -ldl
    endif
  endif
endif

# test for presence of SDL
ifeq ($(shell which sdl-config 2>/dev/null),)
  $(error No SDL development libraries found!)
endif
ifeq ($(OS),FREEBSD)
    CFLAGS  += $(shell sdl-config --cflags)
    LDLIBS += $(shell sdl-config --libs)
endif
ifeq ($(OS),OSX)
    CFLAGS  += $(shell sdl-config --cflags)
    # sdl-config on mac screws up when we're trying to build a library and not an executable
    # SDL 1.3 is supposed to fix that, if it's ever released
    LDLIBS += -L/usr/local/lib -lSDL -Wl,-framework,Cocoa
endif
ifeq ($(OS),LINUX)
    CFLAGS  += $(shell sdl-config --cflags)
    LDLIBS += $(shell sdl-config --libs)
endif

# test for presence of libsamplerate
ifneq ($(strip $(shell pkg-config samplerate --modversion 2> /dev/null)),)
  ifneq ($(NO_RESAMP), 1)
    # set libsamplerate flags and libraries
    CFLAGS	+= $(shell pkg-config samplerate --cflags) -DUSE_SRC
    LDLIBS += $(shell pkg-config samplerate --libs)
  endif
else
  # warn user
  $(warning No libsamplerate development libraries found.  Mupen64plus-sdl-audio will be built without Best Quality SINC resampler.)
endif

# set mupen64plus core API header path
ifneq ("$(APIDIR)","")
  CFLAGS += "-I$(APIDIR)"
else
  TRYDIR = ../../../mupen64plus-core/src/api
  ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
    CFLAGS += -I$(TRYDIR)
  else
    TRYDIR = /usr/local/include/mupen64plus
    ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
      CFLAGS += -I$(TRYDIR)
    else
      TRYDIR = /usr/include/mupen64plus
      ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
        CFLAGS += -I$(TRYDIR)
      else
        $(error Mupen64Plus API header files not found! Use makefile parameter APIDIR to force a location.)
      endif
    endif
  endif
endif

# reduced compile output when running make without V=1
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
    Q_CC = @echo '    CC  '$@;
    Q_LD = @echo '    LD  '$@;
endif
endif

# set base program pointers and flags
CC       ?= gcc
RM       ?= rm -f
INSTALL  ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(LDFLAGS) $(TARGET_ARCH)

# set special flags for given Makefile parameters
ifeq ($(DEBUG),1)
  CFLAGS += -g
  INSTALL_STRIP_FLAG ?= 
else
  INSTALL_STRIP_FLAG ?= -s
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(LIBDIR),)
  LIBDIR := $(PREFIX)/lib
endif
ifeq ($(PLUGINDIR),)
  PLUGINDIR := $(LIBDIR)/mupen64plus
endif

SRCDIR = ../../src
OBJDIR = _obj

# list of source files to compile
SOURCE = \
	$(SRCDIR)/main.c \
	$(SRCDIR)/volume.c \
	$(SRCDIR)/osal_dynamiclib_unix.c

# generate a list of object files build, make a temporary directory for them
OBJECTS := $(patsubst $(SRCDIR)/%.c, $(OBJDIR)/%.o, $(filter %.c, $(SOURCE)))
OBJDIRS = $(dir $(OBJECTS))
$(shell $(MKDIR) $(OBJDIRS))

# build dependency files
CFLAGS += -MD
-include $(OBJECTS:.o=.d)

# build targets
TARGET = mupen64plus-audio-sdl.$(SO_EXTENSION)

targets:
	@echo "Mupen64Plus-audio-sdl makefile. "
	@echo "  Targets:"
	@echo "    all           == Build Mupen64Plus SDL audio plugin"
	@echo "    clean         == remove object files"
	@echo "    rebuild       == clean and re-build all"
	@echo "    install       == Install Mupen64Plus SDL audio plugin"
	@echo "    uninstall     == Uninstall Mupen64Plus SDL audio plugin"
	@echo "  Options:"
	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
	@echo "    APIDIR=path   == path to find Mupen64Plus Core headers"
	@echo "    OPTFLAGS=flag == compiler optimization (default: -O3)"
	@echo "    PIC=(1|0)     == Force enable/disable of position independent code"
	@echo "    NO_RESAMP=1   == build without libsamplerate; disables high-quality audio resampling"
	@echo "  Install Options:"
	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local)"
	@echo "    LIBDIR=path   == library prefix (default: PREFIX/lib)"
	@echo "    PLUGINDIR=path == path to install plugin libraries (default: LIBDIR/mupen64plus)"
	@echo "    DESTDIR=path  == path to prepend to all installation paths (only for packagers)"
	@echo "  Debugging Options:"
	@echo "    DEBUG=1       == add debugging symbols"
	@echo "    V=1           == show verbose compiler output"


all: $(TARGET)

install: $(TARGET)
	$(INSTALL) -d "$(DESTDIR)$(PLUGINDIR)"
	$(INSTALL) -m 0644 $(INSTALL_STRIP_FLAG) $(TARGET) "$(DESTDIR)$(PLUGINDIR)"

uninstall:
	$(RM) "$(DESTDIR)$(PLUGINDIR)/$(TARGET)"

clean:
	$(RM) -r ./_obj $(TARGET)

rebuild: clean all

# standard build rules
$(OBJDIR)/%.o: $(SRCDIR)/%.c
	$(COMPILE.c) -o $@ $<

$(TARGET): $(OBJECTS)
	$(LINK.o) $^ $(LOADLIBES) $(LDLIBS) -o $@

.PHONY: all clean install uninstall targets

## mupen64plus-audio-sdl 1.99.4

=== debian/changelog ===
mupen64plus-audio-sdl (1.99.4-3) unstable; urgency=low

  * Upload to unstable
  * debian/rules:
    - Mark all targets in debian/rules as phony
    - Force PIC using Makefile option
    - Remove unintended optimization flags
  * debian/patches:
    - Add rewrite_makefile.patch, Rewrite Makefile to fix flags and linking
    - Remove obsolete default-optimisations.patch, hurd_os.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:23:30 +0200

mupen64plus-audio-sdl (1.99.4-2) experimental; urgency=low

  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:50:34 +0200

mupen64plus-audio-sdl (1.99.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Add hurd_os.patch, Add GNU/Hurd as operating system with "linux" userland
    - Rebase default-optimisations.patch against 1.99.4
    - Remove upstream merged patches: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, dejavu-font.patch, destdir.patch,
      dont-install-unneeded.patch, fix-7z-subfolder.patch,
      fix-desktop-file.patch, fix_r0_override.patch, fix_readpng.patch,
      ftbfs-debugger.patch, ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch, link_gdk.patch,
      load_aidacrate.patch, load_vistatus.patch, noexecstack.patch,
      optional_signinfo.patch, osd-pause-crash.patch, path_max.patch,
      pie_support.patch, plugin-searchpath.patch, remove-gln64.patch,
      remove-nondfsg-icons.patch, resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch, system-liblzma.patch,
      system-libpng.patch, system-zlib.patch, version-string.patch,
      xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format string
      vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it (Closes:
      #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system offers
      it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64
      (Closes: #588066)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Jul 2010 23:20:02 +0200

mupen64plus (1.5+dfsg1-12) unstable; urgency=low

  * Use googlecode.debian.net instead of complex own filters for debian/watch
  * Upgraded to policy 3.9.0, no changes required
  * Build only on i386/amd64 because upstream doesn't to support more
  * debian/patches:
    - Add link_gdk.patch, Link directly against gdk-2.0 instead indirectly
      through gtk+-2.0

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 21:31:48 +0200

mupen64plus (1.5+dfsg1-11) unstable; urgency=low

  * debian/patches:
    - Rename ftbfs-gvariant-type-conflicts.path to
      ftbfs-gvariant-type-conflicts.patch
    - Add rice-ati-symbols.patch, Allow to load rice on systems with missing
      opengl extensions

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 May 2010 11:55:23 +0200

mupen64plus (1.5+dfsg1-10) unstable; urgency=low

  [ Sven Eckelmann ]
  * debian/patches:
    - Add rsp_ucode2_reset.patch, Reset status of specific ucode2 hacks after
      starting again
    - Add rsp_hle_bigendian.patch, Fix wrong high level emulation of rsp on big
      endian systems
    - Add rice-crash-vendorstring.patch, Don't crash on long OpenGL vendor
      string (Closes: #580480, LP: #575968)

  [ Piotr Ożarowski ]
  * DMUA flag set to yes

 -- Sven Eckelmann <sven@narfation.org>  Thu, 06 May 2010 11:34:46 +0200

mupen64plus (1.5+dfsg1-9) unstable; urgency=low

  * debian/patches:
    - Add ftbfs-gvariant-type-conflicts.path, Fix FTBFS due to glib's gvariant.h
      type definitions (Closes: #577329)
    - Add dont-install-unneeded.patch, Don't install files which aren't used by
      us
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
    - Share options between dh_auto_build and dh_auto_install
  * debian/control:
    - Depend on debhelper 7.4.10 for --parallel and --list-missing

 -- Sven Eckelmann <sven@narfation.org>  Sun, 11 Apr 2010 12:23:04 +0200

mupen64plus (1.5+dfsg1-8) unstable; urgency=low

  * debian/patches:
    - Add rice_fog.patch, Reduce flickering when enabling fog in rice
    - Update fix_readpng.patch, Fix FTBFS with libpng14 and remove coding style
      only changes
  * Convert to 3.0 (quilt) source format
  * Remove outdated README.source
  * debian/control:


=== debian/control ===
Source: mupen64plus-audio-sdl
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-audio-sdl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-audio-sdl.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 hardening-includes,
 libmupen64plus-dev,
 libsamplerate0-dev,
 libsdl1.2-dev,
 pkg-config,

Package: mupen64plus-audio-sdl
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-audio-abi-1,
Provides:
 mupen64plus-audio,
Description: sdl audio output plugin for mupen64plus
 Audio output plugin for mupen64plus which can be used with all audio devices
 which are supported by Simple DirectMedia Layer. It supports hardware volume
 control through oss mixer or application specific volume through SDL.

Package: mupen64plus-audio-sdl-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-audio-sdl (= ${binary:Version}),
Description: sdl audio output plugin for mupen64plus debug symbols package
 Audio output plugin for mupen64plus which can be used with all audio devices
 which are supported by Simple DirectMedia Layer. It supports hardware volume
 control through oss mixer or application specific volume through SDL.
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_BUILD_HARDENING_PIE:=0
include /usr/share/hardening-includes/hardening.make
CFLAGS += $(HARDENING_CFLAGS)
CXXFLAGS += $(HARDENING_CFLAGS)
LDFLAGS += $(HARDENING_LDFLAGS)

LDFLAGS += -Wl,--as-needed

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS=""

DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep %:
	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs

## mupen64plus-audio-sdl 1.99.4+27+7f357ca0893f

=== debian/changelog ===
mupen64plus-audio-sdl (1.99.4+27+7f357ca0893f-1) experimental; urgency=low

  * New upstream snapshot from revision 7f357ca0893fde479dd1ba2308fef8ea4775a412
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:36:28 +0100

mupen64plus-audio-sdl (1.99.4+23+a5074e99bdcc-1) experimental; urgency=low

  * New upstream snapshot from revision a5074e99bdcc24d43548ac3d9409bd7603b3b53b
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:00:51 +0200

mupen64plus-audio-sdl (1.99.4-4) unstable; urgency=low

  * debian/control:
    - Add virtual package libsamplerate-dev as alternative build
      dependency
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:48:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
 Build-Depends:
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
- hardening-includes,
- libmupen64plus-dev,
- libsamplerate0-dev,
- libsdl1.2-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ libsamplerate0-dev | libsamplerate-dev,
+ libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
 Package: mupen64plus-audio-sdl
@@ -25,7 +24,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-audio-abi-1,
+ mupen64plus-audio-abi-2,
 Provides:
  mupen64plus-audio,
 Description: sdl audio output plugin for mupen64plus

## mupen64plus-audio-sdl 1.99.5

=== debian/changelog ===
mupen64plus-audio-sdl (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 00:14:56 +0200

mupen64plus-audio-sdl (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Update debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-audio-sdl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-audio-sdl.git
 Build-Depends:
- debhelper (>= 8.1.3),
- dpkg-dev (>= 1.16.0),
- libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
+ libmupen64plus-dev (>= 1.99.5),
  libsamplerate0-dev | libsamplerate-dev,
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
@@ -25,6 +25,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-audio-abi-2,
+ mupen64plus-config-abi-2.2,
 Provides:
  mupen64plus-audio,
 Description: sdl audio output plugin for mupen64plus

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS=""

DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs

=== debian/watch ===
version=3

http://bitbucket.org/richard42/mupen64plus-audio-sdl/downloads/ \
	/richard42/mupen64plus-audio-sdl/downloads/mupen64plus-audio-sdl-src-(.*).tar.gz

## mupen64plus-audio-sdl 2.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Makefile for SDL Audio plugin in Mupen64plus
 
 # detect operation system
-UNAME = $(shell uname -s)
+UNAME ?= $(shell uname -s)
 OS := NONE
 ifeq ("$(UNAME)","Linux")
   OS = LINUX
@@ -59,6 +59,13 @@
   OS = LINUX
   SHARED = -shared
   SO_EXTENSION = so
+endif
+ifeq ("$(patsubst MINGW%,MINGW,$(UNAME))","MINGW")
+  OS = MINGW
+  SHARED = -shared
+  SO_EXTENSION = dll
+  PIC = 0
+  NO_OSS = 1
 endif
 ifeq ("$(OS)","NONE")
   $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
@@ -83,7 +90,7 @@
   ARCH_DETECTED := 32BITS
   PIC ?= 0
 endif
-ifneq ("$(filter ppc powerpc,$(HOST_CPU))","")
+ifneq ("$(filter ppc macppc socppc powerpc,$(HOST_CPU))","")
   CPU := PPC
   ARCH_DETECTED := 32BITS
   BIG_ENDIAN := 1
@@ -97,23 +104,30 @@
   PIC ?= 1
   $(warning Architecture "$(HOST_CPU)" not officially supported.')
 endif
+ifneq ("$(filter arm%,$(HOST_CPU))","")
+  ifeq ("$(filter arm%b,$(HOST_CPU))","")
+    CPU := ARM
+    ARCH_DETECTED := 32BITS
+    PIC ?= 1
+    $(warning Architecture "$(HOST_CPU)" not officially supported.')
+  endif
+endif
 ifeq ("$(CPU)","NONE")
   $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
 endif
 
 # base CFLAGS, LDLIBS, and LDFLAGS
-OPTFLAGS ?= -O3
-CFLAGS += $(OPTFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src
+OPTFLAGS ?= -O3 -flto
+WARNFLAGS ?= -Wall
+CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src
 LDFLAGS += $(SHARED)
 
 # Since we are building a shared library, we must compile with -fPIC on some architectures
 # On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
 ifeq ($(PIC), 1)
   CFLAGS += -fPIC
-  LDFLAGS += -fPIC
 else
   CFLAGS += -fno-PIC
-  LDFLAGS += -fno-PIC
 endif
 
 ifeq ($(BIG_ENDIAN), 1)
@@ -126,7 +140,7 @@
     $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
   endif
   CFLAGS += -m32
-  LDFLAGS += -m32 -Wl,-m,elf_i386
+  LDFLAGS += -Wl,-m,elf_i386
 endif
 
 # set special flags per-system
@@ -134,48 +148,89 @@
   LDLIBS += -ldl
 endif
 ifeq ($(OS), OSX)
+  # Select the proper SDK
+  # Also, SDKs are stored in a different location since XCode 4.3
+  OSX_SDK ?= $(shell sw_vers -productVersion | cut -f1 -f2 -d .)
+  OSX_XCODEMAJ = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f1 -d .)
+  OSX_XCODEMIN = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f2 -d .)
+  OSX_XCODEGE43 = $(shell echo "`expr $(OSX_XCODEMAJ) \>= 4``expr $(OSX_XCODEMIN) \>= 3`")
+  ifeq ($(OSX_XCODEGE43), 11)
+    OSX_SYSROOT := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs
+  else
+    OSX_SYSROOT := /Developer/SDKs
+  endif
+
   ifeq ($(CPU), X86)
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk
-      LDFLAGS += -arch x86_64
+      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
       LDLIBS += -ldl
     else
-      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk
-      LDFLAGS += -arch i686
-      LDLIBS += -ldl
+      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
+      LDLIBS += -ldl -read_only_relocs suppress
     endif
   endif
 endif
 
 # test for presence of SDL
-ifeq ($(shell which sdl-config 2>/dev/null),)
-  $(error No SDL development libraries found!)
-endif
-ifeq ($(OS),FREEBSD)
-    CFLAGS  += $(shell sdl-config --cflags)
-    LDLIBS += $(shell sdl-config --libs)
-endif
-ifeq ($(OS),OSX)
-    CFLAGS  += $(shell sdl-config --cflags)
-    # sdl-config on mac screws up when we're trying to build a library and not an executable
-    # SDL 1.3 is supposed to fix that, if it's ever released
-    LDLIBS += -L/usr/local/lib -lSDL -Wl,-framework,Cocoa
-endif
-ifeq ($(OS),LINUX)
-    CFLAGS  += $(shell sdl-config --cflags)
-    LDLIBS += $(shell sdl-config --libs)
+ifeq ($(origin SDL_CFLAGS) $(origin SDL_LDLIBS), undefined undefined)
+  SDL_CONFIG = $(CROSS_COMPILE)sdl-config
+  ifeq ($(shell which $(SDL_CONFIG) 2>/dev/null),)
+    $(error No SDL development libraries found!)
+  endif
+  SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
+  SDL_LDLIBS += $(shell $(SDL_CONFIG) --libs)
+endif
+CFLAGS += $(SDL_CFLAGS)
+LDLIBS += $(SDL_LDLIBS)
+
+# test for essential build dependencies
+ifeq ($(origin PKG_CONFIG), undefined)
+  PKG_CONFIG = $(CROSS_COMPILE)pkg-config
+  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
+    $(error $(PKG_CONFIG) not found)
+  endif
+endif
+
+# test for presence of speexdsp
+ifneq ($(NO_SPEEX), 1)
+  ifeq ($(origin SPEEX_CFLAGS) $(origin SPEEX_LDLIBS), undefined undefined)
+    ifneq ($(strip $(shell $(PKG_CONFIG) speexdsp --modversion 2> /dev/null)),)
+      # set speexdsp flags and libraries
+      SPEEX_CFLAGS += $(shell $(PKG_CONFIG) speexdsp --cflags) -DUSE_SPEEX
+      SPEEX_LDLIBS += $(shell $(PKG_CONFIG) speexdsp --libs)
+    else
+      # warn user
+      $(warning No libspeexdsp development libraries found.  Mupen64plus-sdl-audio will be built without speex-* resampler.)
+    endif
+  else
+    SPEEX_CFLAGS += -DUSE_SPEEX
+  endif
+  CFLAGS += $(SPEEX_CFLAGS)
+  LDLIBS += $(SPEEX_LDLIBS)
 endif
 
 # test for presence of libsamplerate
-ifneq ($(strip $(shell pkg-config samplerate --modversion 2> /dev/null)),)
-  ifneq ($(NO_RESAMP), 1)
-    # set libsamplerate flags and libraries
-    CFLAGS	+= $(shell pkg-config samplerate --cflags) -DUSE_SRC
-    LDLIBS += $(shell pkg-config samplerate --libs)
-  endif
-else
-  # warn user
-  $(warning No libsamplerate development libraries found.  Mupen64plus-sdl-audio will be built without Best Quality SINC resampler.)
+ifneq ($(NO_SRC), 1)
+  ifeq ($(origin SRC_CFLAGS) $(origin SRC_LDLIBS), undefined undefined)
+    ifneq ($(strip $(shell $(PKG_CONFIG) samplerate --modversion 2> /dev/null)),)
+      # set libsamplerate flags and libraries
+      SRC_CFLAGS += $(shell $(PKG_CONFIG) samplerate --cflags) -DUSE_SRC
+      SRC_LDLIBS += $(shell $(PKG_CONFIG) samplerate --libs)
+    else
+      $(warning No libsamplerate development libraries found.  Mupen64plus-sdl-audio will be built without src-* resampler.)
+    endif
+  else
+    SRC_CFLAGS += -DUSE_SRC
+  endif
+  CFLAGS += $(SRC_CFLAGS)
+  LDLIBS += $(SRC_LDLIBS)
+endif
+
+# test for the presence of OSS
+ifneq ($(wildcard /dev/mixer),)
+  ifneq ($(NO_OSS), 1)
+    CFLAGS += -DHAS_OSS_SUPPORT
+  endif
 endif
 
 # set mupen64plus core API header path
@@ -209,19 +264,21 @@
 endif
 
 # set base program pointers and flags
-CC       ?= gcc
+CC        = $(CROSS_COMPILE)gcc
 RM       ?= rm -f
 INSTALL  ?= install
 MKDIR ?= mkdir -p
 COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
-LINK.o = $(Q_LD)$(CC) $(LDFLAGS) $(TARGET_ARCH)
+LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)
 
 # set special flags for given Makefile parameters
 ifeq ($(DEBUG),1)
   CFLAGS += -g
   INSTALL_STRIP_FLAG ?= 
 else
-  INSTALL_STRIP_FLAG ?= -s
+  ifneq ($(OS),OSX)
+    INSTALL_STRIP_FLAG ?= -s
+  endif
 endif
 
 # set installation options
@@ -236,25 +293,26 @@
 endif
 
 SRCDIR = ../../src
-OBJDIR = _obj
+OBJDIR = _obj$(POSTFIX)
 
 # list of source files to compile
 SOURCE = \
 	$(SRCDIR)/main.c \
-	$(SRCDIR)/volume.c \
-	$(SRCDIR)/osal_dynamiclib_unix.c
+	$(SRCDIR)/volume.c
+
+ifeq ($(OS),MINGW)
+SOURCE += $(SRCDIR)/osal_dynamiclib_win32.c
+else
+SOURCE += $(SRCDIR)/osal_dynamiclib_unix.c
+endif
 
 # generate a list of object files build, make a temporary directory for them
 OBJECTS := $(patsubst $(SRCDIR)/%.c, $(OBJDIR)/%.o, $(filter %.c, $(SOURCE)))
 OBJDIRS = $(dir $(OBJECTS))
 $(shell $(MKDIR) $(OBJDIRS))
 
-# build dependency files
-CFLAGS += -MD
--include $(OBJECTS:.o=.d)
-
 # build targets
-TARGET = mupen64plus-audio-sdl.$(SO_EXTENSION)
+TARGET = mupen64plus-audio-sdl$(POSTFIX).$(SO_EXTENSION)
 
 targets:
 	@echo "Mupen64Plus-audio-sdl makefile. "
@@ -267,9 +325,13 @@
 	@echo "  Options:"
 	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
 	@echo "    APIDIR=path   == path to find Mupen64Plus Core headers"
-	@echo "    OPTFLAGS=flag == compiler optimization (default: -O3)"
+	@echo "    OPTFLAGS=flag == compiler optimization (default: -O3 -flto)"
+	@echo "    WARNFLAGS=flag == compiler warning levels (default: -Wall)"
 	@echo "    PIC=(1|0)     == Force enable/disable of position independent code"
-	@echo "    NO_RESAMP=1   == build without libsamplerate; disables high-quality audio resampling"
+	@echo "    NO_SRC=1      == build without libsamplerate; disables src-* high-quality audio resampling"
+	@echo "    NO_SPEEX=1    == build without libspeexdsp; disables speex-* high-quality audio resampling"
+	@echo "    NO_OSS=1      == build without OSS; disables Open Sound System support"
+	@echo "    POSTFIX=name  == String added to the name of the the build (default: '')"
 	@echo "  Install Options:"
 	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local)"
 	@echo "    LIBDIR=path   == library prefix (default: PREFIX/lib)"
@@ -290,9 +352,13 @@
 	$(RM) "$(DESTDIR)$(PLUGINDIR)/$(TARGET)"
 
 clean:
-	$(RM) -r ./_obj $(TARGET)
+	$(RM) -r $(OBJDIR) $(TARGET)
 
 rebuild: clean all
+
+# build dependency files
+CFLAGS += -MD
+-include $(OBJECTS:.o=.d)
 
 # standard build rules
 $(OBJDIR)/%.o: $(SRCDIR)/%.c

=== debian/changelog ===
mupen64plus-audio-sdl (2.0-1build1) saucy; urgency=low

  * Rebuild against mupen64plus-core 2.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Jul 2013 10:51:26 +0100

mupen64plus-audio-sdl (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5
  * debian/patches:
    - Remove upstream merged initialize_audiobuffer.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:51:56 +0200

mupen64plus-audio-sdl (2.0~rc2+1+ad849b6b7b69-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Break for pre-SDL2 libmupen64plus2
  * debian/patches:
    - Add initialize_audiobuffer.patch, Initialize audiobuffer before mixing it
      against our data

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:23:31 +0200

mupen64plus-audio-sdl (2.0~rc2+1+ad849b6b7b69-1) experimental; urgency=low

  * New Upstream Snapshot from ad849b6b7b695da1b164194a815589727bf80b56
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:24:37 +0200

mupen64plus-audio-sdl (1.99.5+24+691319870467-1) experimental; urgency=low

  * New Upstream Snapshot from 6913198704673d6912006a04693af9ba19a52328
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:03 +0100

mupen64plus-audio-sdl (1.99.5+10+c75faf4d38c4-1) experimental; urgency=low

  * New Upstream Snapshot from c75faf4d38c4e010a149649c191e4ec2face50f8
  * Remove obsolete DM-Upload-Allowed in debian/control
  * debian/patches:
    - Remove upstream merged disable_oss.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:31:39 +0100

mupen64plus-audio-sdl (1.99.5+7+d483528be393-1) experimental; urgency=low

  * New Upstream Snapshot from d483528be393d0f2cfe1b336c4203ce5fe98f912
  * Upgraded to policy 3.9.4, no changes required
  * debian/control:
    - Depend on libspeexdsp-dev for resampler

 -- Sven Eckelmann <sven@narfation.org>  Tue, 30 Oct 2012 19:07:07 +0100

mupen64plus-audio-sdl (1.99.5+4+761b386e52de-1) experimental; urgency=low

  * New Upstream Snapshot from 761b386e52de5619139138ece617f682c55227cb
  * debian/patches:
    - Add disable_oss.patch, Disable OSS support and use SDL instead

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Sep 2012 21:18:19 +0200

mupen64plus-audio-sdl (1.99.5+3+4b37353431b3-1) experimental; urgency=low

  * New Upstream Snapshot from 4b37353431b3cda6f042a6f60ec2b2142d0e9342

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:31:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-audio-sdl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-audio-sdl.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libmupen64plus-dev (>= 1.99.5),
  libsamplerate0-dev | libsamplerate-dev,
- libsdl1.2-dev | libsdl-dev,
+ libsdl2-dev,
+ libspeexdsp-dev,
  pkg-config,
 
 Package: mupen64plus-audio-sdl
@@ -28,6 +28,8 @@
  mupen64plus-config-abi-2.2,
 Provides:
  mupen64plus-audio,
+Breaks:
+ libmupen64plus2 (<< 2.0),
 Description: sdl audio output plugin for mupen64plus
  Audio output plugin for mupen64plus which can be used with all audio devices
  which are supported by Simple DirectMedia Layer. It supports hardware volume

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-flto

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG" NO_OSS=1 SDL_CONFIG=sdl2-config

DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_test:
	# otherwise dh_auto_test fails with debhelper 9.20130624

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_clean override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-audio-sdl/downloads/ \
	/richard42/mupen64plus-audio-sdl/downloads/mupen64plus-audio-sdl-src-(.*).tar.gz
